/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flood_duration;

import org.apache.commons.lang.math.DoubleRange;
import org.dive4elements.river.artifacts.common.AbstractCalculationResults;
import org.dive4elements.river.artifacts.model.CalculationResult;
import org.dive4elements.river.artifacts.sinfo.util.RiverInfo;
import org.dive4elements.river.jfree.RiverAnnotation;

/**
 * @author Gernot Belger
 */
final class FloodDurationCalculationResults extends AbstractCalculationResults<FloodDurationCalculationResult> {

    private static final long serialVersionUID = 1L;

    public FloodDurationCalculationResults(final String calcModeLabel, final String user, final RiverInfo river, final DoubleRange calcRange) {
        super(calcModeLabel, user, river, calcRange);
    }

    private CalculationResult durationCurve;

    public CalculationResult getDurationCurve() {
        return this.durationCurve;
    }

    public void setDurationCurve(final CalculationResult durationCurve) {
        this.durationCurve = durationCurve;
    }

    private RiverAnnotation mainValueWAnnotation;

    public RiverAnnotation getMainValueWAnnotation() {
        return this.mainValueWAnnotation;
    }

    public void setMainValueWAnnotation(final RiverAnnotation mainValueAnnotation) {
        this.mainValueWAnnotation = mainValueAnnotation;
    }

    private RiverAnnotation mainValueQAnnotation;

    public RiverAnnotation getMainValueQAnnotation() {
        return this.mainValueQAnnotation;
    }

    public void setMainValueQAnnotation(final RiverAnnotation mainValueAnnotation) {
        this.mainValueQAnnotation = mainValueAnnotation;
    }
}